---
title: "Change Application Type"
source_url: https://docs.rapyd.net/en/change-application-type.html
lang: en
---

# Change Application Type

This method changes the application type. Use this method when the applicant has chosen the wrong form of business entity. To get a list of application types for the applicant's country, use [List Rapyd Verify Application Types](https://docs.rapyd.net/en/list-rapyd-verify-application-types.md "List Rapyd Verify Application Types").

### Parameters

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).
- - api_timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Request Path Parameters

- - app_token
  - The application token identifier. String that starts with **app_**.

- - app_type
  - The revised application type. String that starts with **typ_**.

### Request Body Parameters

- - business_industry
  - The revised business industry of the company as determined in [step 1](https://docs.rapyd.net/en/step-1--get-information-to-create-an-application.md "Step 1: Get Information to Create an Application").

- - sell_type
  - The revised sell type of the company as determined in  [step 1](https://docs.rapyd.net/en/step-1--get-information-to-create-an-application.md "Step 1: Get Information to Create an Application").

### Response

> **Note:**
>
> Due to the length of the response, in this example on the right side of this page, a shortened version of the response is displayed.

The response includes the updated type and sections of the application.

- /v1/verify/api/applications/:app_token/types/:app_type/switch

- Change Application Type
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/verify/api/applications/app_e8b077318e02494c894c3b7f1ec7be7b/types/typ_WyJHQiIsMiwwLCJQcml2YXRlIExpbWl0ZWQgQ29tcGFueSJd/switch' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  -H 'api_timestamp: your-unix-timestamp-here' \
  --data-raw '{}'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "132036d8-348a-41a3-bb5f-288b14741513"
      },
      "data": {
          "token": "app_e8b077318e02494c894c3b7f1ec7be7b",
          "rapyd_entity_token": "ewallet_e19c0900567ee7fb18bf610095d76e98",
          "authorized_user_email": "test@test.com",
          "version": 3,
          "status": "new",
          "metadata": {
              "modular": "true"
          },
          "entity_type": "Private Limited Company",
          "country": "GB",
          "created_at": 1768212237643,
          "updated_at": 1768212237795,
          "sell_type": "ATS-0001",
          "business_industry": 4812,
          "triggers": {...}
          ...}
  ...}
  ```
